Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Cloud Backup
    • All guides
    • Activating the service
    • Restoring the Cloud Backup agent
    • Viewing operations on service resources
    • Limiting RAM usage by the Cloud Backup agent
    • Viewing backup statistics
    • Setting up Monium alerts
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • ListArchives
        • List
        • ListFiles
        • Get
        • StartRecovery
        • Delete
  • Monitoring metrics
  • Audit Trails events
  • Release notes
  • Troubleshooting

In this article:

  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • BackupAttributes
  • Disk
  • Volume
  1. API reference
  2. REST
  3. Backup
  4. Get

Cloud Backup API, REST: Backup.Get

Written by
Yandex Cloud
Updated at December 1, 2025
View in Markdown
  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • BackupAttributes
  • Disk
  • Volume

Get backup by its id.

HTTP requestHTTP request

GET https://backup.api.cloud.yandex.net/backup/v1/backups/{backupId}

Path parametersPath parameters

Field

Description

backupId

string

Required field. Backup ID.

Query parametersQuery parameters

Field

Description

folderId

string

Required field. Folder ID.

ResponseResponse

HTTP Code: 200 - OK

{
  "id": "string",
  "vaultId": "string",
  "archiveId": "string",
  "createdAt": "string",
  "lastSeenAt": "string",
  "size": "string",
  "deduplicatedSize": "string",
  "backedUpDataSize": "string",
  "originalDataSize": "string",
  "attributes": {
    "streamName": "string",
    "uri": "string"
  },
  "computeInstanceId": "string",
  "disks": [
    {
      "deviceModel": "string",
      "name": "string",
      "size": "string",
      "volumes": [
        {
          "freeSpace": "string",
          "isBootable": "boolean",
          "isSystem": "boolean",
          "name": "string",
          "size": "string",
          "mountStrid": "string"
        }
      ]
    }
  ],
  "type": "string",
  "deleted": "boolean",
  "policyId": "string",
  "resourceId": "string"
}

Field

Description

id

string

ID of the backup.

vaultId

string

ID of the backup vault.

archiveId

string

ID of the backup archive.

createdAt

string (date-time)

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

lastSeenAt

string (date-time)

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

size

string (int64)

Backup size.

deduplicatedSize

string (int64)

Deduplicated backup size.

backedUpDataSize

string (int64)

Backed up data size.

originalDataSize

string (int64)

Original data size.

attributes

BackupAttributes

computeInstanceId

string

Compute Cloud instance ID.

disks[]

Disk

type

enum (Type)

  • FULL
  • INCREMENTAL

deleted

boolean

If this field is true, it means that the backup was deleted.

policyId

string

Policy ID.

resourceId

string

Resource ID. It identifies Compute Cloud instance in backup service.

BackupAttributesBackupAttributes

Backup attributes.

Field

Description

streamName

string

Backup stream name.

uri

string

URI of the backup archive.

DiskDisk

Field

Description

deviceModel

string

Device model.

name

string

Disk name.

size

string (int64)

Disk size.

volumes[]

Volume

VolumeVolume

Field

Description

freeSpace

string (int64)

Free space in the volume.

isBootable

boolean

If this field is true, it means that the volume is bootable.

isSystem

boolean

If this field is true, it means that the volume is a system volume.

name

string

Volume name.

size

string (int64)

Volume size.

mountStrid

string

Mount string ID.

Was the article helpful?

Previous
ListFiles
Next
StartRecovery
© 2026 Direct Cursus Technology L.L.C.